// 获取所有的叶子节点
export const  getLeafNodes = (tree) => {
  const leafNodes = []
  function traverse(node) {
    if (!node.children || node.children.length === 0) {
      leafNodes.push(node)
    } else {
      for (let child of node.children) {
        traverse(child)
      }
    }
  }
  // 开始遍历
  if (!tree?.length) return []
  for (let rootNode of tree) {
    traverse(rootNode)
  }
  return leafNodes
}

// 获取所有二级节点
export const  getSecondNodes = (tree) => {
  let nodes = []
  for (const rootNode of tree) {
    if (rootNode.children?.length) nodes = [...nodes, ...rootNode.children]
  }
  return nodes
}